#include "array.h"
#include <stdint.h>

int32_t lerp(int32_t x_in, int32_t y_in, float position) {
	return x_in + ((y_in - x_in) * position);
}

int_array find_divisors(int in) {
	int i;
	int_array out;
	for (i = 1; i <= in; ++i) {
		if (in % i == 0) {
			
		}
	}

	//out.data = outData;
	//out.length = inLength; 

	return out;
};
